import React, { FC } from 'react'
import Box from '@mui/material/Box'
import Paper from '@mui/material/Paper'
import Typography from '@mui/material/Typography'
import { Editor } from './Editor'

export const ScriptBlock: FC<{ value: string; onChange: (value: string) => void }> = (props) => {
	return (
		<Paper>
			<Typography variant="h6">Script</Typography>
			<Box>
				<Editor {...props} />
			</Box>
		</Paper>
	)
}
